Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class CachedMetaData

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.core.PropertyStructure
              org.eclipse.birt.report.model.api.elements.structures.CachedMetaData

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class CachedMetaData

extends org.eclipse.birt.report.model.core.PropertyStructure

Structure used to cache data set information that include output column information when it gets from databases, input/output parameter definitions.

Field Summary
`static java.lang.String` | `CACHED_METADATA_STRUCT` Name of this structure.
`static java.lang.String` | `PARAMETERS_MEMBER` The property name of the data set parameters definitions.
`static java.lang.String` | `RESULT_SET_MEMBER` Member name of the cached result set(output columns).

Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`propValues`

Constructor Summary
`CachedMetaData()`

Method Summary
`StructureHandle` | `getHandle(SimpleValueHandle valueHandle)` Gets the specific handle of this structure.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.

Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getListMemberRef, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, updateReference, validate`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHED_METADATA_STRUCT

    public static final java.lang.String CACHED_METADATA_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### PARAMETERS_MEMBER

    public static final java.lang.String PARAMETERS_MEMBER

  The property name of the data set parameters definitions.

  See Also:
    Constant Field Values

### RESULT_SET_MEMBER

    public static final java.lang.String RESULT_SET_MEMBER

  Member name of the cached result set(output columns).

  See Also:
    Constant Field Values

Constructor Detail

### CachedMetaData

    public CachedMetaData()

Method Detail

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getHandle

    public StructureHandle getHandle(SimpleValueHandle valueHandle)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Gets the specific handle of this structure. This structure must be in the element's structure list. The structure handle is transient because the position in the structure list is kept. The position changes if any structure is added, or dropped. So this handle should not be kept.

  Overrides:
    `getHandle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
  Returns:
    the handle of this structure. If this structure is not in the `valueHandle`,`null` is returned.

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.